{% set CodiceModulo = "DOM_DET_IRPEF" %}
{% set Urn = "document:c_g482:detrazioni.irpef.lavoratore.dipendente;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
"urn":"document:s_italia:generale;documento.identita;documentazione",
"descrizione_tabella_allegati":"copia del documento di identità",
"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
"descrizione_meta":"",
"filename":"Documento identita",
"firmatari":"Titolare_CodiceFiscale",
"firmatari_label":"il dichiarante",
"firmato":"NO",
"numero":"1",
"dimensione":"15",
"enabled":"",
"dynamic_check":"",
"tipo":"allegato",
"tipo_mime":"application/pdf"
}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale" campi_firma_label="il dichiarante" classi_modulo=""
  trattamento_dati="PERSONALI_SENSIBILI" codice_modulo="{{ CodiceModulo }}"
  urn="{% block urn %}{{ Urn }}{% endblock urn %}"
  urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
  urn_procedimento_list="" sub_urn_list="" uo_globo_list=""
  descrizione="Domanda di applicazione delle detrazioni IRPEF in busta paga" destinatario_amministrazione=""
  destinatario_ufficio="" dinamico="SI" email_a="" ente_abilitato="TUTTI" filigrana="NO" firmare="P7M_ELETTRONICA"
  in_bollo="NO" istruzioni_compilazione="" istruzioni_invio="mail_pec" metodo_invio="mail" name="GLOBO_modulo"
  procura="NO,," tipo_modulo="principale" ufficio="" urlhelp="/modulistica/moduli/{{ CodiceModulo }}"
  verifica_pagamento="NO" versione="1.0|17/10/2021" />

<meta codice_modulo_figlio="INCARICO_PROCURA" urn_modulo_figlio="document:s_italia:generale;incarico.procura"
  name="GLOBO_modulofiglio" numero="1" obbligatorio="DINAMICO" />
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr =
allegato['descrizione_tabella_allegati'] %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
{% if allegato['tipo'] == "allegato" %}
<meta codice_allegato="{{ allegato['codice'] }}" urn_allegato="{{ allegato['urn'] }}"
  descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
  filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
  firmatari="{{ allegato['firmatari'] }}" firmatari_label="{{ allegato['firmatari_label'] }}"
  firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
  numero="{{ allegato['numero'] }}" dimensione_massima="{{ allegato['dimensione'] }}" obbligatorio="DINAMICO"
  tipo_mime="{{ allegato['tipo_mime'] }}" />
{% elif allegato['tipo'] == "secondario" %}
<meta codice_modulo_figlio="{{ allegato['codice'] }}" urn_modulo_figlio="{{ allegato['urn'] }}"
  name="GLOBO_modulofiglio" numero="{{ allegato['numero'] }}" obbligatorio="DINAMICO" />
{% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI" urn_allegato="document:s_italia:altri.allegati"
  descrizione_estesa="Altri allegati" filename="Altri allegati" firmato="NO"
name="GLOBO_allegato" numero="0" obbligatorio="DINAMICO"
  tipo_mime="application/pdf" />

{% endblock meta %}

{% block title %} Domanda di applicazione delle detrazioni IRPEF in busta paga {% endblock title %}

{% block content %}
<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input
  dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - applicazione detrazioni IRPEF in busta paga'"
  id="Oggetto" name="Oggetto" type="hidden" />

<h1 class="Modulo">
  Domanda di applicazione delle detrazioni IRPEF in busta paga
</h1>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true" />
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente" />
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente" />
{{ anagrafica.persona_fisica("Titolare", "Il sottoscritto", "visibility:visibility", "cursor:pointer",
"visibility:visibility", "visibility:visibility", "mail_ordinaria", "", "true", "false", "false", "", "false", "true",
"visibility:visibility","visibility:visibility") }}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella">
          inqudrato nel seguente profilo professionale
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 33%;">
        <p class="Labelcella">
          Figura professionale
        </p>
      </td>
      <td style="width: 33%;">
        <p class="Labelcella">
          Categoria salariale
        </p>
      </td>
      <td style="width: 34%;">
        <p class="Labelcella">
          Posizione economica
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_FiguraProfessionale" name="Parametri_FiguraProfessionale"
          style="width: 100%;" label="Figura professionale" mandatory_enabled="true" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_CategoriaSalariale" name="Parametri_CategoriaSalariale"
          style="width: 100%;" label="Categoria salariale" mandatory_enabled="true" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_PosizioneEconomica" name="Parametri_PosizioneEconomica"
          style="width: 100%;" label="Posizione economica" mandatory_enabled="true" />
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 33%;">
        <p class="Labelcella">
          Direzione
        </p>
      </td>
      <td style="width: 33%;">
        <p class="Labelcella">
          Servizio
        </p>
      </td>
      <td style="width: 34%;">
        <p class="Labelcella">
          Matricola
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_Direzione" name="Parametri_Direzione" style="width: 100%;"
          label="Direzione" mandatory_enabled="true" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Servizio" name="Parametri_Servizio" style="width: 100%;"
          label="Servizio" mandatory_enabled="true" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Matricola" name="Parametri_Matricola" style="width: 100%;"
          label="Matricola" mandatory_enabled="true" />
      </td>
    </tr>
  </tbody>
</table>

<h3 class="Modulo">CHIEDE</h3>


<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <div id="Tassonomia_Dichiara" name="Tassonomia_Dichiara" label="Dichiara" mandatory="true"></div>
        <input id="Tassonomia_Dichiara1" name="Tassonomia_Dichiara" type="checkbox"
          value="di non voler usufruire delle detrazioni d'imposta" />
      </td>
      <td ><label style="width:100%" for='Tassonomia_Dichiara1'>
          <p>
            di non voler usufruire delle detrazioni d'imposta
          </p>
        </label></td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="Tassonomia_Dichiara2" name="Tassonomia_Dichiara" type="checkbox"
          value="di voler usufruire delle detrazioni d'imposta per lavoro dipendente rapportate al periodo di lavoro nell'anno" />
      </td>
      <td ><label style="width:100%" for='Tassonomia_Dichiara2'>
          <p>
            di voler usufruire delle detrazioni d'imposta per lavoro dipendente rapportate al periodo di lavoro
            nell'anno
          </p>
        </label></td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%; background-color: white;">
        <input id="Tassonomia_Dichiara3" name="Tassonomia_Dichiara" type="checkbox"
          value="di voler usufruire delle detrazioni d'imposta per il coniuge a carico" />
      </td>
      <td ><label style="width:100%" for='Tassonomia_Dichiara3'>
          <p>
            di voler usufruire delle detrazioni d'imposta per il coniuge a carico
          </p>
        </label></td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%; background-color: white;">
        <input id="Tassonomia_Dichiara4" name="Tassonomia_Dichiara" type="checkbox"
          value="di voler usufruire delle detrazioni d'imposta per i figli o altro familiare a carico" />
      </td>
      <td ><label style="width:100%" for='Tassonomia_Dichiara4'>
          <p>
            di voler usufruire delle detrazioni d'imposta per i figli o altro familiare a carico
          </p>
        </label></td>
    </tr>
  </tbody>
</table>

<!-- coniuge -->

<input id="AventeTitolo_Titolo" name="AventeTitolo_Titolo" type="hidden" value="Coniuge" />
<input id="AventeTitolo_Ruolo" name="AventeTitolo_Ruolo" type="hidden" value="Coniuge"
  enabled='#Tassonomia_Dichiara3.checked()' />

{{ anagrafica.persona_fisica("AventeTitolo", "<input id='AventeTitolo_DatiPersonaObbligatori'
  name='AventeTitolo_DatiPersonaObbligatori' type='checkbox' value='si' enabled='#Tassonomia_Dichiara3.checked()'
  dynamic_check='#Tassonomia_Dichiara3.checked()' /> coniuge <br /><span
  style='font-weight:normal; font-size:70%'><i>(da compilare se si vuole usufruire delle detrazioni d'imposta per il
    coniuge a carico)</i></span>", "display:none", "cursor:default", "visibility:visibility", "display:none", "false")
}}
<globo_salto_pagina></globo_salto_pagina>

<!-- FAMLIARE -->
<input id="AventeTitolo1_Titolo" name="AventeTitolo1_Titolo" type="hidden" value="Richiedente" />
<input id="AventeTitolo1_Ruolo" name="AventeTitolo1_Ruolo" type="hidden" value="Richiedente" /> 
{{ anagrafica.persona_fisica("AventeTitolo1", '<input id="AventeTitolo1_DatiPersonaObbligatori" name="AventeTitolo1_DatiPersonaObbligatori" type="checkbox" value="si" /> familiare', "display:none",
"cursor:default", "visibility:visibility", "display:none", "false") }}
<table class="Modulo" style="border: 1px solid grey; margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Grado di parentela
        </p>
      </td>
    </tr>
    {% set testi = [
    "figlio/a",
    "genitore",
    'altro <span style="font-size: 70%;">(specificare)</span>
    <input class="inputNormal" id="Tassonomia_AltroGradoParentela" name="Tassonomia_AltroGradoParentela"
      style="width: 70%;" label="Altro grado di parentela" mandatory_enabled="#Tassonomia_GradoParentela3.checked()">'

    ]%}
    {% for testo in testi %}
    <tr>
      <td style="vertical-align: top; width: 4%;">
        {% if loop.first %} <div id="Tassonomia_GradoParentela" name="Tassonomia_GradoParentela"
          label="Grado di parentela" mandatory_enabled="#AventeTitolo1_DatiPersonaObbligatori.checked()"></div>{% endif
        %}
        <input id="Tassonomia_GradoParentela{{ loop.index }}" name="Tassonomia_GradoParentela" type="radio"
          value="{{ loop.index }}" />
      </td>
      <td>
        <p>{{ testo|safe }}</p>
      </td>
    </tr>
    {% endfor %}
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Detrazione corrispondente
        </p>
      </td>
    </tr>
    {% set testi = [
    "50%",
    "100%",
    ]%}
    {% for testo in testi %}
    <tr>
      <td style="vertical-align: top; width: 4%;">
        {% if loop.first %} <div id="Tassonomia_DetrazioneCorrispondente" name="Tassonomia_DetrazioneCorrispondente"
          label="Detrazione corrispondente" mandatory_enabled="#AventeTitolo1_DatiPersonaObbligatori.checked()"></div>{%
        endif %}
        <input id="Tassonomia_DetrazioneCorrispondente{{ loop.index }}" name="Tassonomia_DetrazioneCorrispondente"
          type="radio" value="{{ loop.index }}" />
      </td>
      <td>
        <p>{{ testo|safe }}</p>
      </td>
    </tr>
    {% endfor %}
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Portatore di handicap
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <div id="Tassonomia_PortatoreHandicap" name="Tassonomia_PortatoreHandicap" label="Portatore di handicap"
          mandatory_enabled="#AventeTitolo1_DatiPersonaObbligatori.checked()"></div>
        <input id="Tassonomia_PortatoreHandicap1" name="Tassonomia_PortatoreHandicap" type="radio" value="1" />
      </td>
      <td>
        <p>
          no
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%; background-color: white;" rowspan="3">
        <input id="Tassonomia_PortatoreHandicap2" name="Tassonomia_PortatoreHandicap" type="radio" value="2" />
      </td>
      <td>
        <p>
          si, a decorrere dal
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Data di decorrenza
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_DataDecorrenza" name="Parametri_DataDecorrenza" style="width: 100%;"
          label="Data di decorrenza" format="date" mandatory_enabled="#Tassonomia_PortatoreHandicap2.checked()" />
      </td>
    </tr>


  </tbody>
</table>



{{ utils.Dichiara_445() }}

<table class="Modulo" style="border: 0px;">
  <tbody>
    {% set dic = [
    "che i familiari indicati non possiedono nell’anno oggetto di richiesta un reddito complessivo superiore a 2840,51 €
    e quindi di aver diritto alle seguenti detrazioni IRPEF annue (dal 2019 per i figli di età non superiore a 24 anni è
    elevato a 4000,00 €)",
    "di comunicare tempestivamente con la presentazione di una nuova istanza in sotituzione della presente, ogni
    eventuale variazione della situazione sopra dichiarata",
    ]%}
    {% for dichiara in dic %}
    <tr style="border: 0px;">
      <td style="vertical-align: top; width: 4%;border: 0px;">
        <input id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI"
          checked="checked" dynamic_check="true" />
      </td>
      <td style="border: 0px;">
        <p>{{ dichiara|safe }}</p>
      </td>
    </tr>
    {% endfor %}

  </tbody>
</table>

<br />

<table class="Modulo" style="border:1px solid grey">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Eventuali annotazioni
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni"
          style="width:100%;height:5cm;"></textarea>
      </td>
    </tr>
  </tbody>
</table>

<br />

<table class="Modulo" style="border:1px solid grey">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p style="text-align: center;">
          <b>
            Elenco degli allegati
          </b>
          <br />
          <span style="font-size:70%">
            <i>
              (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
            </i>
          </span>
        </p>
      </td>
    </tr>
    {% for allegato in allegati %}
    <tr>
      <td style="vertical-align: top; width:3%">
        <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if
          allegato['dynamic_check']=="true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check']
          !="" and allegato['enabled']=="" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif
          allegato['dynamic_check']=="" and allegato['enabled'] !="" %} enabled="{{ allegato['enabled'] }}" {% elif
          allegato['dynamic_check'] !="" and allegato['enabled'] !="" %} dynamic_check="{{ allegato['dynamic_check'] }}"
          enabled="{{ allegato['enabled'] }}" {% endif %} />
        {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}"
          name="GLOBO_allegato_c{{ allegato['codice'] }}"
          obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden"
          value="" />{% elif allegato['tipo'] == "secondario" %} <input
          id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}"
          type="hidden" value=""
          obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" />{% endif %}
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          {{ allegato['descrizione_tabella_allegati'][0]|lower +
          allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if
          allegato['annotazioni_tabella_allegati'] != "" %}<br /><span style="font-size:70%"><i>{{
              allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
        </p>
      </td>
    </tr>
    {% endfor %}
    <tr>
      <td>
        <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO" />
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          altri allegati
          <span style="font-size:70%">
            (specificare)
          </span>
          <input class="inputNormal" id="AltriAllegati" label="Altri allegati"
            mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;" />
        </p>
      </td>
    </tr>
  </tbody>
</table>


<br />

{{ utils.trattamento_dati_personali() }}

<br />

{{ utils.firma_hidden() }}
<br />

<p class="Modulo">
  <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;"
    title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza."
    type="submit" value="Salva modulo" />
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}"
  name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value="" />

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI"
  obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value="" />

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA"
  type="hidden" value="" />

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden" />

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden" />

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}" />

{% endblock content %}